commit:     6e3f10aee62e58c23c881b5664fe9b2865031562
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 23:46:35 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 23:52:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e3f10ae

xfce-extra/xfce4-systemload-plugin: Bump to 1.2.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-systemload-plugin/Manifest        |  1 +
 .../xfce4-systemload-plugin-1.2.4.ebuild           | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/xfce-extra/xfce4-systemload-plugin/Manifest 
b/xfce-extra/xfce4-systemload-plugin/Manifest
index 0497384db60..6f57312b121 100644
--- a/xfce-extra/xfce4-systemload-plugin/Manifest
+++ b/xfce-extra/xfce4-systemload-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-systemload-plugin-1.2.3.tar.bz2 349074 BLAKE2B 
74cdc8f759824222faf5da04fd3189210883db1ad1ed138978e8cb31075a390d17f32ffa4648cace7745faadfc818878601c70b89a8da9d7e7961768a3f9caac
 SHA512 
98985b2250bfff3ae8314f5671ec4438f4c53702cf9e1b76563cdc5d1b4b62174d6cfa559603294c1fc8fbbd5e15a833cc112c75b106a85b1e11788ded4da538
+DIST xfce4-systemload-plugin-1.2.4.tar.bz2 378644 BLAKE2B 
b50806925f02ce2a792cb72198bdd2cb0124e1d4ce12c91de124c9f4085e5908200a6f0c3b50fffdc1a6a5ae871eef0f04ec9687f43d8e8d5de1372d808a5fad
 SHA512 
1f57ffe861e9906a1744a02b0b50b1dd9e755ea4d0f8b93dba7f42416cd3727834eca60129465fa6f665ac93ec43c3a5272ce9ceae5f4bb17bf180d88e87bddd

diff --git 
a/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.4.ebuild 
b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.4.ebuild
new file mode 100644
index 00000000000..d84941a73ff
--- /dev/null
+++ b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="System load plug-in for Xfce panel"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="upower"
+
+RDEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/xfce4-panel-4.12:=
+       upower? ( >=sys-power/upower-0.9.23 )"
+DEPEND=${RDEPEND}
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_configure() {
+       econf $(use_enable upower)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to